Skip to main content
POST
/
discovery
/
v1
/
search
/
{domain}
curl -X POST https://api.mintlify.com/discovery/v1/search/your-domain \
  -H "Authorization: Bearer mint_dsc_your_api_key_here" \
  -H "Content-Type: application/json" \
  -d '{
    "query": "how to install",
    "pageSize": 10,
    "filter": {
      "version": "v2"
    }
  }'
[
  {
    "content": "To install Mintlify, run npm install -g mintlify...",
    "path": "/quickstart/installation",
    "metadata": {
      "title": "Installation Guide",
      "version": "v2"
    }
  },
  {
    "content": "Installation steps: 1. Install Node.js 2. Run npm install...",
    "path": "/getting-started",
    "metadata": {
      "title": "Getting Started",
      "version": "v2"
    }
  }
]
Perform semantic and keyword searches across your documentation with configurable filtering and pagination.

Authentication

Requires an assistant API key (prefixed with mint_dsc_). Generate one on the API keys page in your dashboard. The assistant API key is a public token that you can reference in frontend code.

Path Parameters

domain
string
required
The domain identifier from your domain.mintlify.app URL. Can be found at the end of your dashboard URL. For example, dashboard.mintlify.com/organization/domain has a domain identifier of domain.

Body Parameters

query
string
required
The search query to execute against your documentation content.
pageSize
number
default:10
Number of search results to return. Defaults to 10 if not specified.
filter
object
Optional filtering parameters to narrow search results.

Response

Returns an array of search results.
content
string
The matching content from your documentation.
path
string
The path or URL to the source document.
metadata
object
Additional metadata about the search result.
curl -X POST https://api.mintlify.com/discovery/v1/search/your-domain \
  -H "Authorization: Bearer mint_dsc_your_api_key_here" \
  -H "Content-Type: application/json" \
  -d '{
    "query": "how to install",
    "pageSize": 10,
    "filter": {
      "version": "v2"
    }
  }'
[
  {
    "content": "To install Mintlify, run npm install -g mintlify...",
    "path": "/quickstart/installation",
    "metadata": {
      "title": "Installation Guide",
      "version": "v2"
    }
  },
  {
    "content": "Installation steps: 1. Install Node.js 2. Run npm install...",
    "path": "/getting-started",
    "metadata": {
      "title": "Getting Started",
      "version": "v2"
    }
  }
]

Build docs developers (and LLMs) love